# RollingFileAppender.hh File Reference

`#include <log4cpp/Portability.hh>`
`#include <log4cpp/FileAppender.hh>`
`#include <string>`
`#include <stdarg.h>`

Include dependency graph for RollingFileAppender.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | log4cpp

## Classes

class | log4cpp::RollingFileAppender
| RollingFileAppender is a FileAppender that rolls over the logfile once it has reached a certain size limit. More...